<template>
  <div class="container">
    <nuxt-link to="/">
      <img class="logo" src="/acolher.me.svg" alt="Logotipo do Acolher.me" />
    </nuxt-link>

    <main class="login__content">
      <nuxt />
    </main>

    <div class="auxiliar__content">
      <div v-if="login" calss="auxiliar__content-wrapper">
        <h2 class="auxiliar__content-title">Não possui conta?</h2>
        <h3 class="auxiliar__content-subtitle">
          Faça seu cadastro e aproveite a nossa plataforma
        </h3>
        <nuxt-link class="auxiliar__content-button-container" to="/auth/signup">
          <a-button size="large" ghost class="auxiliar__content-button">
            Fazer cadastro
          </a-button>
        </nuxt-link>
      </div>

      <div v-if="!login" calss="auxiliar__content-wrapper">
        <h2 class="auxiliar__content-title">Já possui conta?</h2>
        <h3 class="auxiliar__content-subtitle">
          Faça seu login e aproveite a nossa plataforma
        </h3>
        <nuxt-link class="auxiliar__content-button-container" to="/auth/signin">
          <a-button size="large" ghost class="auxiliar__content-button">
            Fazer login
          </a-button>
        </nuxt-link>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      login: true
    }
  },
  watch: {
    $route(route) {
      if (route.path === '/auth/signup') {
        this.login = false
      }

      if (route.path === '/auth/signin') {
        this.login = true
      }
    }
  },
  created() {
    if (this.$nuxt.$route.path === '/auth/signup') {
      this.login = false
    }

    if (this.$nuxt.$route.path === '/auth/signin') {
      this.login = true
    }
  }
}
</script>

<style lang="less" scoped>
.container {
  display: flex;
  flex-direction: column;
  position: relative;
  width: 100%;
  justify-content: space-between;
  align-items: flex-start;

  @media screen and (min-width: 768px) {
    flex-direction: row;
    overflow: hidden;
    height: 100vh;
  }
}

.logo {
  position: absolute;
  top: 25px;
  left: 25px;
  width: 180px;
  cursor: pointer;
}

.login {
  &__content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 128px 16px 64px;

    @media screen and (min-width: 768px) {
      padding: 80px 16px 64px;
    }
  }
}

.auxiliar {
  &__content {
    padding: 64px 8px;
    height: auto;
    width: 100%;
    position: static;
    background: @primary-color;
    background: linear-gradient(230.46deg, #4b45bd 21.43%, #58caea 78.57%);

    @media screen and (min-width: 768px) {
      height: 100vh;
      display: flex;
      align-items: center;
      justify-content: center;
      width: 45%;
    }

    &-wrapper {
      width: 100%;
      height: 100%;
      overflow: hidden;
      display: flex;
      align-items: center;
      justify-content: center;
    }

    &-title {
      font-size: 27px;
      line-height: 40px;
      color: #fff;
      text-align: center;
      margin: 0 0 10px;
      font-weight: bold;
    }

    &-subtitle {
      font-size: 24px;
      line-height: 40px;
      color: #fff;
      text-align: center;
      margin: 0 0 10px;
    }

    &-button-container {
      width: 100%;
      display: flex;
      justify-content: center;
      align-items: center;
    }

    &-button {
      align-self: center;
      margin-top: 10px;
      cursor: pointer;
    }
  }
}
</style>
